=== debian/changelog ===
tdelibs-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Oct 2020 01:20:38 +0200
