## tdelibs-trinity 14.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 ##### general package setup #####################
@@ -17,7 +17,7 @@
 project( tdelibs )
 
 set( PACKAGE tdelibs )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.10 )
 
 
 ##### include essential cmake modules ###########
@@ -75,6 +75,7 @@
 OPTION( WITH_LIBIDN "Enable support for libidn" ${WITH_ALL_OPTIONS} )
 OPTION( WITH_SSL "Enable support for SSL" ON )
 OPTION( WITH_CUPS "Enable CUPS support" ON )
+OPTION( WITH_IMAGETOPS_BINARY "Enable installation of imagetops binary" ${WITH_ALL_OPTIONS} )
 OPTION( WITH_LUA "Enable LUA support" ${WITH_ALL_OPTIONS} )
 OPTION( WITH_TIFF "Enable tiff support" ${WITH_ALL_OPTIONS} )
 OPTION( WITH_JASPER "Enable jasper (jpeg2k) support" ${WITH_ALL_OPTIONS} )
@@ -307,6 +308,3 @@
 check_symbol_exists( unsetenv "stdlib.h" HAVE_UNSETENV_PROTO )
 
 check_function_exists( mkdtemp HAVE_MKDTEMP )
-check_symbol_exists( mkdtemp "stdlib.h" HAVE_MKDTEMP_PROTO )
-
-check_function_exists( mkstemp HAVE_MKSTEMP )
