=== debian/changelog ===
tdelibs-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 23 Apr 2021 12:50:58 +0200
