=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: tdelibs-trinity
 Section: libs
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Daniel Schepler <schepler@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs (>= 0.4.41ubuntu2), debhelper (>= 9~), quilt, cmake, intltool, autotools-dev,
+Build-Depends: cdbs (>= 0.4.41ubuntu2), debhelper (>= 9~), quilt, cmake, autotools-dev,
  binutils (>= 2.14.90.0.7), binutils-dev, docbook-to-man, gawk,
  libart-2.0-dev (>= 4:14.0.0~), libarts1-trinity-dev (>= 1.5.0), libacl1-dev,
  libattr1-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
@@ -23,10 +23,9 @@
 Package: tdelibs-trinity
 Section: libs
 Architecture: all
-Replaces: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
-Breaks: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
+Replaces: kdelibs-trinity (<< 4:14.0.0~)
+Breaks: kdelibs-trinity (<< 4:14.0.0~)
 Provides: tdelibs
-Conflicts: tdelibs
 Depends: tdelibs14-trinity (>= ${source:Version}),
  tdelibs-data-trinity (>= ${source:Version})
 Description: core libraries from the official Trinity release
@@ -42,9 +41,9 @@
 Package: tdelibs-data-trinity
 Section: libs
 Architecture: all
-Replaces: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
-Breaks: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
-Conflicts: tdelibs-data, kdebase-kio-plugins-kde3 (<= 4:14.0.0~), kdebase-kio-plugins-trinity (<= 4:14.0.0~), ksysv-trinity (<< 4:14.0.6~), kamera-trinity (<< 4:14.0.8~), klinkstatus-trinity (<< 4:14.0.9~)
+Replaces: kdelibs-data-trinity (<< 4:14.0.0~)
+Breaks: kdelibs-data-trinity (<< 4:14.0.0~)
+Conflicts: kdebase-kio-plugins-trinity (<= 4:14.0.0~), ksysv-trinity (<< 4:14.0.6~), kamera-trinity (<< 4:14.0.8~), klinkstatus-trinity (<< 4:14.0.9~)
 Depends: hicolor-icon-theme
 Provides: tdelibs-data
 Description: core shared data for all TDE applications
@@ -61,9 +60,11 @@
 Replaces: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
 Breaks: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
 Depends: ${shlibs:Depends}, tdelibs-data-trinity,
- tdelibs-data-trinity, libart-2.0-2 (>= 4:14.0.0~), perl, xbase-clients
+ netpbm (>= 2:10.0-15.1) | tdelibs14-imagetops-trinity,
+ libart-2.0-2 (>= 4:14.0.0~), perl, xbase-clients
 Recommends: xdg-user-dirs, consolekit | systemd
 Suggests: fam, perl-suid
+Conflicts: tdelibs4-trinity, tdelibs4c2-trinity (>> 4:1.0.0), tdelibs-bin-trinity (<< 4:3.3.3), tdelibs4-trinity-dev (<< 4:3.5.7.dfsg.1-6)
 Description: core libraries and binaries for all TDE applications
  This package contains all the shared libraries and common core binaries
  used by all TDE applications. You need these libraries and binaries to
@@ -75,11 +76,27 @@
  This package is part of TDE, and a component of the TDE libraries module.
  See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.
 
+Package: tdelibs14-imagetops-trinity
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}
+Recommends: netpbm
+Conflicts: tdelibs14-trinity (<< 4:14.0.10~), netpbm (>= 2:10.0-15.1)
+Description: core libraries and binaries for all TDE applications
+ This package contains the imagetops binary needed for print filters.
+ .
+ This binary has been included as part of newer versions of the netpbm
+ package. Therefore, to avoid conflict, it was separated from the
+ tdelibs14-trinity package into a separate package.
+ .
+ This package is part of TDE, and a component of the TDE libraries module.
+ See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.
+
 Package: tdelibs14-trinity-dev
 Section: libdevel
 Architecture: any
-Replaces: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
-Breaks: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
+Replaces: kdelibs4-trinity-dev (<< 4:14.0.0~)
+Breaks: kdelibs4-trinity-dev (<< 4:14.0.0~)
 Depends: tdelibs14-trinity (= ${source:Version}), libart-2.0-dev (>= 4:14.0.0~),
  libarts1-trinity-dev (>= 1.5.0), ${libasound2-dev}, libacl1-dev, libattr1-dev,
  libaspell-dev, hspell, libbz2-dev, libcupsys2-dev | libcups2-dev,
@@ -101,8 +118,8 @@
 Package: tdelibs14-trinity-doc
 Section: doc
 Architecture: all
-Replaces: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
-Breaks: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
+Replaces: kdelibs4-trinity-doc (<< 4:14.0.0~)
+Breaks: kdelibs4-trinity-doc (<< 4:14.0.0~)
 Provides: tdelibs-trinity-doc
 Description: developer documentation for the TDE core libraries
  This package contains documentation for the core TDE libraries, of
@@ -115,8 +132,8 @@
 Package: tdelibs-trinity-dbg
 Section: libdevel
 Architecture: any
-Replaces: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
-Breaks: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
+Replaces: kdelibs-trinity-dbg (<< 4:14.0.0~)
+Breaks: kdelibs-trinity-dbg (<< 4:14.0.0~)
 Priority: extra
 Conflicts: tdelibs4-trinity-dbg, tdelibs4c2-trinity-dbg, tdelibs4c2a-trinity-dbg
 Depends: tdelibs14-trinity (= ${source:Version}), libtqtinterface-dbg, libc6-dbg [amd64]
